<template>
  <div/>
</template>

<script>
import { tileLayer } from 'leaflet'
import WorkspaceGetter from '@/workspace/mixins/WorkspaceGetter'
import LeafletGetter from '@/workspace/mixins/LeafletGetter'

export default {
  name: 'tilelayer',

  mixins: [
    WorkspaceGetter,
    LeafletGetter,
  ],

  props: {
    url: {
      type: String,
      required: true,
    }
  },

  mounted() {
    this.__layerObject = tileLayer(this.url, {
      pane: this.$parent.name,
    }).addTo(this.leafletMap)
  },
}
</script>
